{
	"name": "nextcloud/repod",
	"description": "🔊 Browse, manage and listen to podcasts",
	"license": "AGPL-3.0-or-later",
	"autoload": {
		"psr-4": {
			"OCA\\RePod\\": "lib/",
			"OCA\\GPodderSync\\": "stubs/OCA/GPodderSync/"
		}
	},
	"scripts": {
		"lint": "find . -name \\*.php -not -path './vendor/*' -not -path './vendor-bin/*' -not -path './build/*' -print0 | xargs -0 -n1 php -l",
		"cs:check": "php-cs-fixer fix --dry-run --diff",
		"cs:fix": "php-cs-fixer fix",
		"psalm": "psalm --threads=1 --no-cache --show-info=true",
		"rector": "rector && composer cs:fix"
	},
	"require": {
		"php": "^8.1"
	},
	"require-dev": {
		"nextcloud/ocp": "^30.0.4",
		"roave/security-advisories": "dev-latest",
		"nextcloud/coding-standard": "^1.3.2",
		"nextcloud/rector": "^0.2.1",
		"rector/rector": "~1.2.10",
		"vimeo/psalm": "^5.26.1"
	},
	"config": {
		"optimize-autoloader": true,
		"sort-packages": true,
		"platform": {
			"php": "8.1"
		}
	}
}
